Program CRTdemo;


(**************************************************************************)
(*                                                                        *)
(*  CRTdemo 1.1 - a program to test GNU Pascal's Borland compatibility    *)
(*                System and CRT Units.  It can be compiled both with     *)
(*                Borland Pascal and with GNU Pascal.                     *)
(*                                                                        *)
(*  Copyright (C) 1997  Peter Gerwinski, Essen, Germany                   *)
(*                      peter.gerwinski@uni-essen.de                      *)
(*                      http://home.pages.de/~peter.gerwinski/            *)
(*                                                                        *)
(*  This program is free software; you can redistribute it and/or modify  *)
(*  it under the terms of the GNU General Public License, version 2, as   *)
(*  published by the Free Software Foundation.  You can use parts of      *)
(*  this program in your own programs under the terms of the GNU Library  *)
(*  General Public License, version 2.                                    *)
(*                                                                        *)
(*  This program is distributed in the hope that it will be useful,       *)
(*  but WITHOUT ANY WARRANTY; without even the implied warranty of        *)
(*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *)
(*  GNU General Public License for more details.                          *)
(*                                                                        *)
(*  You should have received a copy of the GNU General Public License     *)
(*  and the GNU Library General Public License along with this program;   *)
(*  if not, write to the Free Software Foundation, Inc., 675 Mass Ave,    *)
(*  Cambridge, MA 02139, USA.                                             *)
(*                                                                        *)
(**************************************************************************)


(* Warnings about remaining incompatibilities *)
(* are given as comments starting with "!!!". *)


(*$ifdef __GPC__ *)

uses
  System,  (* !!! must be used explicitly *)
  Crt;

(*$else *)

uses
  Crt;

(*$endif *)


Var
  i: Integer;
  Dummy: Char;


begin
  DirectVideo:= false;
  TextMode ( co80 + font8x8 );
  (*$ifdef __GPC__ *)
    TextAttr ( yellow + 16 * blue );  (* !!! A procedure, no variable *)
  (*$else *)
    TextAttr:= yellow + 16 * blue;
  (*$endif *)
  ClrScr;
  GotoXY ( 1, 50 );
  for i:= 1 to 50 do
    begin
      Sound ( 100 * i );
      TextColor ( lightgray + i mod 8 );
      write ( '*' );
      GotoXY ( WhereX, WhereY - 1 );
      Delay ( 5 );
    end (* for *);
  NoSound;
  GotoXY ( 10, 20 );
  TextColor ( white );
  write ( 'Hallo?' );
  GotoXY ( 40, 40 );
  TextColor ( yellow + blink );
  write ( 'Hallo!' );
  Dummy:= ReadKey;
  (* GPC would also accept just "ReadKey" without the "Dummy" variable. *)
  Window ( 5, 5, 80 - 5, 50 - 5 );
  TextBackground ( cyan );
  GotoXY ( 1, 1 );
  for i:= 1 to 50 do
    begin
      DelLine;
      Delay ( 10 );
    end (* for *);
  Window ( 1, 1, 80, 50 );
  TextBackground ( black );
  GotoXY ( 1, 1 );
  for i:= 1 to 50 do
    begin
      InsLine;
      Delay ( 1 );
    end (* for *);
  TextMode ( LastMode );
end.

